com.ihr.xbrl.dts

## Class XBRLRootNode

- java.lang.Object
- - com.ihr.xbrl.dts.XBRLRootNode

- All Implemented Interfaces:
    javax.swing.tree.TreeNode

      public class XBRLRootNode
      extends java.lang.Object
      implements javax.swing.tree.TreeNode

  This class represents a root node that normally will not be visible and implements the TreeNode interface. This node is returned by a DTSExplorer and can be used to build JTree objects and objects that requires a tree navigation for a hierarchy
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRootNode(java.util.Vector<XBRLTreeRoot> roots)` Creates a new XBRLRootNode using a Collection of XBRLTreeRoot objects.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Enumeration<XBRLTreeRoot>` | `children()`
    `boolean` | `getAllowsChildren()`
    `javax.swing.tree.TreeNode` | `getChildAt(int childIndex)`
    `int` | `getChildCount()`
    `int` | `getIndex(javax.swing.tree.TreeNode node)`
    `javax.swing.tree.TreeNode` | `getParent()`
    `boolean` | `isLeaf()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRootNode

          public XBRLRootNode(java.util.Vector<XBRLTreeRoot> roots)

      Creates a new XBRLRootNode using a Collection of XBRLTreeRoot objects.
      Parameters:
        `roots` - the roots

  - ### Method Detail

    - #### children

          public java.util.Enumeration<XBRLTreeRoot> children()

      Specified by:
        `children` in interface `javax.swing.tree.TreeNode`

    - #### getAllowsChildren

          public boolean getAllowsChildren()

      Specified by:
        `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

    - #### getChildAt

          public javax.swing.tree.TreeNode getChildAt(int childIndex)

      Specified by:
        `getChildAt` in interface `javax.swing.tree.TreeNode`

    - #### getChildCount

          public int getChildCount()

      Specified by:
        `getChildCount` in interface `javax.swing.tree.TreeNode`

    - #### getIndex

          public int getIndex(javax.swing.tree.TreeNode node)

      Specified by:
        `getIndex` in interface `javax.swing.tree.TreeNode`

    - #### getParent

          public javax.swing.tree.TreeNode getParent()

      Specified by:
        `getParent` in interface `javax.swing.tree.TreeNode`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `javax.swing.tree.TreeNode`